[build-status: 56812] Log for successful build of remctl_2.2-3 (dist=unstable)
Build Daemon
buildd at linux-m32r.org
Wed Feb 7 17:35:35 JST 2007
Automatic build of remctl_2.2-3 on mappi005 by sbuild/m32r 1.7
Build started at 20070207-1621
******************************************************************************
Checking available source versions...
Fetching source files...
Reading package lists...
Building dependency tree...
Need to get 445kB of source archives.
Get:1 http://debian.linux-m32r.org 06_devonian/main remctl 2.2-3 (dsc) [634B]
Get:2 http://debian.linux-m32r.org 06_devonian/main remctl 2.2-3 (tar) [438kB]
Get:3 http://debian.linux-m32r.org 06_devonian/main remctl 2.2-3 (diff) [6407B]
Fetched 445kB in 5s (76.9kB/s)
Download complete and in download only mode
** Using build dependencies supplied by package:
Build-Depends: debhelper (>= 4.0.0), libkrb5-dev, quilt (>= 0.40)
Checking for already installed source dependencies...
debhelper: already installed (in sufficient version 5.0.42 >= 4.0.0)
libkrb5-dev: missing
quilt: already installed (in sufficient version 0.45-6 >= 0.40)
Checking for source dependency conflicts...
/usr/bin/sudo /usr/bin/apt-get --purge $CHROOT_OPTIONS -q -y install libkrb5-dev
Reading package lists...
Building dependency tree...
Suggested packages:
krb5-doc
The following NEW packages will be installed:
libkrb5-dev
0 upgraded, 1 newly installed, 0 to remove and 18 not upgraded.
Need to get 0B/678kB of archives.
After unpacking 2421kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
libkrb5-dev
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
dpkg-preconfigure: unable to re-open stdin:
Authentication warning overridden.
Selecting previously deselected package libkrb5-dev.
(Reading database ... 59867 files and directories currently installed.)
Unpacking libkrb5-dev (from .../libkrb5-dev_1.4.4-6_m32r.deb) ...
Setting up libkrb5-dev (1.4.4-6) ...
Checking correctness of source dependencies...
------------------------------------------------------------------------------
gpg: Signature made Sun Feb 4 16:48:00 2007 JST using DSA key ID 0AFC7476
gpg: Can't check signature: public key not found
dpkg-source: extracting remctl in remctl-2.2
dpkg-source: unpacking remctl_2.2.orig.tar.gz
dpkg-source: applying /debian/buildd2/build/remctl_2.2-3.diff.gz
dpkg-buildpackage: source package is remctl
dpkg-buildpackage: source version is 2.2-3
dpkg-buildpackage: source changed by Russ Allbery <rra at debian.org>
dpkg-buildpackage: host architecture m32r
dpkg-buildpackage: source version without epoch 2.2-3
/usr/bin/fakeroot debian/rules clean
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null pop -a -R || test $? = 2
No patch removed
rm -rf .pc debian/stamp-patched
dh_testdir
dh_testroot
rm -f build-stamp
[ ! -f Makefile ] || /usr/bin/make distclean
dh_clean
debian/rules build
# quilt exits with 2 as return when there was nothing to do.
# That's not an error here (but it's usefull to break loops in crude scripts)
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null push -a || test $? = 2
Applying patch missing-acl
patching file server/config.c
patching file tests/data/simple.conf
patching file tests/client/remctl-t
Now at patch missing-acl
touch debian/stamp-patched
dh_testdir
CFLAGS="-Wall -g -O2" ./configure --prefix=/usr \
--mandir=\${prefix}/share/man --sysconfdir=/etc/remctl \
--enable-reduced-depends --build m32r-linux-gnu
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking whether gcc and cc understand -c and -o together... yes
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking build system type... m32r-unknown-linux-gnu
checking host system type... m32r-unknown-linux-gnu
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognise dependent libraries... pass_all
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for g77... no
checking for f77... no
checking for xlf... no
checking for frt... no
checking for pgf77... no
checking for cf77... no
checking for fort77... no
checking for fl32... no
checking for af77... no
checking for f90... no
checking for xlf90... no
checking for pgf90... no
checking for pghpf... no
checking for epcf90... no
checking for gfortran... no
checking for g95... no
checking for f95... no
checking for fort... no
checking for xlf95... no
checking for ifort... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for ftn... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether accepts -g... no
checking the maximum length of command line arguments... 32768
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by g++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking for library containing gethostbyname... none required
checking for library containing socket... none required
checking for gss_import_name in -lgssapi... no
checking for gss_import_name in -lgssapi_krb5... yes
checking gssapi.h usability... no
checking gssapi.h presence... no
checking for gssapi.h... no
checking whether GSS_C_NT_USER_NAME is declared... yes
checking whether GSS_KRB5_MECHANISM is declared... no
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking sys/bitypes.h usability... yes
checking sys/bitypes.h presence... yes
checking for sys/bitypes.h... yes
checking sys/select.h usability... yes
checking sys/select.h presence... yes
checking for sys/select.h... yes
checking whether snprintf is declared... yes
checking whether vsnprintf is declared... yes
checking for C99 variadic macros... yes
checking for GNU-style variadic macros... yes
checking for long long... yes
checking for socklen_t... yes
checking for working snprintf... yes
checking for setrlimit... yes
checking for asprintf... yes
checking for inet_ntop... yes
checking for setenv... yes
checking for strlcat... no
checking for strlcpy... no
checking return type of signal handlers... void
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing tests/TESTS commands
dh_testdir
/usr/bin/make
make[1]: Entering directory `/build/buildd2/remctl-2.2'
/usr/bin/make all-am
make[2]: Entering directory `/build/buildd2/remctl-2.2'
depbase=`echo client/api.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/api.lo -MD -MP -MF "$depbase.Tpo" -c -o client/api.lo client/api.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
mkdir client/.libs
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/api.lo -MD -MP -MF client/.deps/api.Tpo -c client/api.c -fPIC -DPIC -o client/.libs/api.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/api.lo -MD -MP -MF client/.deps/api.Tpo -c client/api.c -o client/api.o >/dev/null 2>&1
depbase=`echo client/client-v1.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/client-v1.lo -MD -MP -MF "$depbase.Tpo" -c -o client/client-v1.lo client/client-v1.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/client-v1.lo -MD -MP -MF client/.deps/client-v1.Tpo -c client/client-v1.c -fPIC -DPIC -o client/.libs/client-v1.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/client-v1.lo -MD -MP -MF client/.deps/client-v1.Tpo -c client/client-v1.c -o client/client-v1.o >/dev/null 2>&1
depbase=`echo client/client-v2.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/client-v2.lo -MD -MP -MF "$depbase.Tpo" -c -o client/client-v2.lo client/client-v2.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/client-v2.lo -MD -MP -MF client/.deps/client-v2.Tpo -c client/client-v2.c -fPIC -DPIC -o client/.libs/client-v2.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/client-v2.lo -MD -MP -MF client/.deps/client-v2.Tpo -c client/client-v2.c -o client/client-v2.o >/dev/null 2>&1
depbase=`echo client/error.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/error.lo -MD -MP -MF "$depbase.Tpo" -c -o client/error.lo client/error.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/error.lo -MD -MP -MF client/.deps/error.Tpo -c client/error.c -fPIC -DPIC -o client/.libs/error.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/error.lo -MD -MP -MF client/.deps/error.Tpo -c client/error.c -o client/error.o >/dev/null 2>&1
depbase=`echo client/open.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/open.lo -MD -MP -MF "$depbase.Tpo" -c -o client/open.lo client/open.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/open.lo -MD -MP -MF client/.deps/open.Tpo -c client/open.c -fPIC -DPIC -o client/.libs/open.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/open.lo -MD -MP -MF client/.deps/open.Tpo -c client/open.c -o client/open.o >/dev/null 2>&1
depbase=`echo util/concat.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/concat.lo -MD -MP -MF "$depbase.Tpo" -c -o util/concat.lo util/concat.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
mkdir util/.libs
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/concat.lo -MD -MP -MF util/.deps/concat.Tpo -c util/concat.c -fPIC -DPIC -o util/.libs/concat.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/concat.lo -MD -MP -MF util/.deps/concat.Tpo -c util/concat.c -o util/concat.o >/dev/null 2>&1
depbase=`echo util/gss-tokens.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/gss-tokens.lo -MD -MP -MF "$depbase.Tpo" -c -o util/gss-tokens.lo util/gss-tokens.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/gss-tokens.lo -MD -MP -MF util/.deps/gss-tokens.Tpo -c util/gss-tokens.c -fPIC -DPIC -o util/.libs/gss-tokens.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/gss-tokens.lo -MD -MP -MF util/.deps/gss-tokens.Tpo -c util/gss-tokens.c -o util/gss-tokens.o >/dev/null 2>&1
depbase=`echo util/messages.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/messages.lo -MD -MP -MF "$depbase.Tpo" -c -o util/messages.lo util/messages.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/messages.lo -MD -MP -MF util/.deps/messages.Tpo -c util/messages.c -fPIC -DPIC -o util/.libs/messages.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/messages.lo -MD -MP -MF util/.deps/messages.Tpo -c util/messages.c -o util/messages.o >/dev/null 2>&1
depbase=`echo util/tokens.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/tokens.lo -MD -MP -MF "$depbase.Tpo" -c -o util/tokens.lo util/tokens.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/tokens.lo -MD -MP -MF util/.deps/tokens.Tpo -c util/tokens.c -fPIC -DPIC -o util/.libs/tokens.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/tokens.lo -MD -MP -MF util/.deps/tokens.Tpo -c util/tokens.c -o util/tokens.o >/dev/null 2>&1
depbase=`echo util/vector.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/vector.lo -MD -MP -MF "$depbase.Tpo" -c -o util/vector.lo util/vector.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/vector.lo -MD -MP -MF util/.deps/vector.Tpo -c util/vector.c -fPIC -DPIC -o util/.libs/vector.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/vector.lo -MD -MP -MF util/.deps/vector.Tpo -c util/vector.c -o util/vector.o >/dev/null 2>&1
depbase=`echo util/xmalloc.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/xmalloc.lo -MD -MP -MF "$depbase.Tpo" -c -o util/xmalloc.lo util/xmalloc.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/xmalloc.lo -MD -MP -MF util/.deps/xmalloc.Tpo -c util/xmalloc.c -fPIC -DPIC -o util/.libs/xmalloc.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/xmalloc.lo -MD -MP -MF util/.deps/xmalloc.Tpo -c util/xmalloc.c -o util/xmalloc.o >/dev/null 2>&1
depbase=`echo util/xwrite.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/xwrite.lo -MD -MP -MF "$depbase.Tpo" -c -o util/xwrite.lo util/xwrite.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/xwrite.lo -MD -MP -MF util/.deps/xwrite.Tpo -c util/xwrite.c -fPIC -DPIC -o util/.libs/xwrite.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/xwrite.lo -MD -MP -MF util/.deps/xwrite.Tpo -c util/xwrite.c -o util/xwrite.o >/dev/null 2>&1
depbase=`echo util/strlcat.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/strlcat.lo -MD -MP -MF "$depbase.Tpo" -c -o util/strlcat.lo util/strlcat.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/strlcat.lo -MD -MP -MF util/.deps/strlcat.Tpo -c util/strlcat.c -fPIC -DPIC -o util/.libs/strlcat.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/strlcat.lo -MD -MP -MF util/.deps/strlcat.Tpo -c util/strlcat.c -o util/strlcat.o >/dev/null 2>&1
depbase=`echo util/strlcpy.lo | sed 's|[^/]*$|.deps/&|;s|\.lo$||'`; \
if /bin/sh ./libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/strlcpy.lo -MD -MP -MF "$depbase.Tpo" -c -o util/strlcpy.lo util/strlcpy.c; \
then mv -f "$depbase.Tpo" "$depbase.Plo"; else rm -f "$depbase.Tpo"; exit 1; fi
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/strlcpy.lo -MD -MP -MF util/.deps/strlcpy.Tpo -c util/strlcpy.c -fPIC -DPIC -o util/.libs/strlcpy.o
gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT util/strlcpy.lo -MD -MP -MF util/.deps/strlcpy.Tpo -c util/strlcpy.c -o util/strlcpy.o >/dev/null 2>&1
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o util/libutil.la util/concat.lo util/gss-tokens.lo util/messages.lo util/tokens.lo util/vector.lo util/xmalloc.lo util/xwrite.lo util/strlcat.lo util/strlcpy.lo -lgssapi_krb5
ar cru util/.libs/libutil.a util/.libs/concat.o util/.libs/gss-tokens.o util/.libs/messages.o util/.libs/tokens.o util/.libs/vector.o util/.libs/xmalloc.o util/.libs/xwrite.o util/.libs/strlcat.o util/.libs/strlcpy.o
ranlib util/.libs/libutil.a
creating util/libutil.la
(cd util/.libs && rm -f libutil.la && ln -s ../libutil.la libutil.la)
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o client/libremctl.la -rpath /usr/lib -version-info 1:0:0 client/api.lo client/client-v1.lo client/client-v2.lo client/error.lo client/open.lo util/libutil.la -lgssapi_krb5
gcc -shared client/.libs/api.o client/.libs/client-v1.o client/.libs/client-v2.o client/.libs/error.o client/.libs/open.o -Wl,--whole-archive util/.libs/libutil.a -Wl,--no-whole-archive -lgssapi_krb5 -Wl,-soname -Wl,libremctl.so.1 -o client/.libs/libremctl.so.1.0.0
(cd client/.libs && rm -f libremctl.so.1 && ln -s libremctl.so.1.0.0 libremctl.so.1)
(cd client/.libs && rm -f libremctl.so && ln -s libremctl.so.1.0.0 libremctl.so)
rm -fr client/.libs/libremctl.lax
mkdir client/.libs/libremctl.lax
rm -fr client/.libs/libremctl.lax/libutil.a
mkdir client/.libs/libremctl.lax/libutil.a
(cd client/.libs/libremctl.lax/libutil.a && ar x /build/buildd2/remctl-2.2/util/.libs/libutil.a)
ar cru client/.libs/libremctl.a client/api.o client/client-v1.o client/client-v2.o client/error.o client/open.o client/.libs/libremctl.lax/libutil.a/concat.o client/.libs/libremctl.lax/libutil.a/xwrite.o client/.libs/libremctl.lax/libutil.a/strlcpy.o client/.libs/libremctl.lax/libutil.a/gss-tokens.o client/.libs/libremctl.lax/libutil.a/xmalloc.o client/.libs/libremctl.lax/libutil.a/tokens.o client/.libs/libremctl.lax/libutil.a/vector.o client/.libs/libremctl.lax/libutil.a/messages.o client/.libs/libremctl.lax/libutil.a/strlcat.o
ranlib client/.libs/libremctl.a
rm -fr client/.libs/libremctl.lax
creating client/libremctl.la
(cd client/.libs && rm -f libremctl.la && ln -s ../libremctl.la libremctl.la)
depbase=`echo client/remctl.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT client/remctl.o -MD -MP -MF "$depbase.Tpo" -c -o client/remctl.o client/remctl.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o client/remctl client/remctl.o client/libremctl.la util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o client/.libs/remctl client/remctl.o client/.libs/libremctl.so util/.libs/libutil.a -lgssapi_krb5
creating client/remctl
if gcc -DHAVE_CONFIG_H -I. -I. -I. -DCONFIG_FILE=\"/etc/remctl/remctl.conf\" -Wall -g -O2 -MT server/server_remctld-commands.o -MD -MP -MF "server/.deps/server_remctld-commands.Tpo" -c -o server/server_remctld-commands.o `test -f 'server/commands.c' || echo './'`server/commands.c; \
then mv -f "server/.deps/server_remctld-commands.Tpo" "server/.deps/server_remctld-commands.Po"; else rm -f "server/.deps/server_remctld-commands.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I. -I. -DCONFIG_FILE=\"/etc/remctl/remctl.conf\" -Wall -g -O2 -MT server/server_remctld-config.o -MD -MP -MF "server/.deps/server_remctld-config.Tpo" -c -o server/server_remctld-config.o `test -f 'server/config.c' || echo './'`server/config.c; \
then mv -f "server/.deps/server_remctld-config.Tpo" "server/.deps/server_remctld-config.Po"; else rm -f "server/.deps/server_remctld-config.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I. -I. -DCONFIG_FILE=\"/etc/remctl/remctl.conf\" -Wall -g -O2 -MT server/server_remctld-generic.o -MD -MP -MF "server/.deps/server_remctld-generic.Tpo" -c -o server/server_remctld-generic.o `test -f 'server/generic.c' || echo './'`server/generic.c; \
then mv -f "server/.deps/server_remctld-generic.Tpo" "server/.deps/server_remctld-generic.Po"; else rm -f "server/.deps/server_remctld-generic.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I. -I. -DCONFIG_FILE=\"/etc/remctl/remctl.conf\" -Wall -g -O2 -MT server/server_remctld-logging.o -MD -MP -MF "server/.deps/server_remctld-logging.Tpo" -c -o server/server_remctld-logging.o `test -f 'server/logging.c' || echo './'`server/logging.c; \
then mv -f "server/.deps/server_remctld-logging.Tpo" "server/.deps/server_remctld-logging.Po"; else rm -f "server/.deps/server_remctld-logging.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I. -I. -DCONFIG_FILE=\"/etc/remctl/remctl.conf\" -Wall -g -O2 -MT server/server_remctld-remctld.o -MD -MP -MF "server/.deps/server_remctld-remctld.Tpo" -c -o server/server_remctld-remctld.o `test -f 'server/remctld.c' || echo './'`server/remctld.c; \
then mv -f "server/.deps/server_remctld-remctld.Tpo" "server/.deps/server_remctld-remctld.Po"; else rm -f "server/.deps/server_remctld-remctld.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I. -I. -DCONFIG_FILE=\"/etc/remctl/remctl.conf\" -Wall -g -O2 -MT server/server_remctld-server-v1.o -MD -MP -MF "server/.deps/server_remctld-server-v1.Tpo" -c -o server/server_remctld-server-v1.o `test -f 'server/server-v1.c' || echo './'`server/server-v1.c; \
then mv -f "server/.deps/server_remctld-server-v1.Tpo" "server/.deps/server_remctld-server-v1.Po"; else rm -f "server/.deps/server_remctld-server-v1.Tpo"; exit 1; fi
if gcc -DHAVE_CONFIG_H -I. -I. -I. -DCONFIG_FILE=\"/etc/remctl/remctl.conf\" -Wall -g -O2 -MT server/server_remctld-server-v2.o -MD -MP -MF "server/.deps/server_remctld-server-v2.Tpo" -c -o server/server_remctld-server-v2.o `test -f 'server/server-v2.c' || echo './'`server/server-v2.c; \
then mv -f "server/.deps/server_remctld-server-v2.Tpo" "server/.deps/server_remctld-server-v2.Po"; else rm -f "server/.deps/server_remctld-server-v2.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o server/remctld server/server_remctld-commands.o server/server_remctld-config.o server/server_remctld-generic.o server/server_remctld-logging.o server/server_remctld-remctld.o server/server_remctld-server-v1.o server/server_remctld-server-v2.o util/libutil.la -lgssapi_krb5
mkdir server/.libs
gcc -Wall -g -O2 -o server/remctld server/server_remctld-commands.o server/server_remctld-config.o server/server_remctld-generic.o server/server_remctld-logging.o server/server_remctld-remctld.o server/server_remctld-server-v1.o server/server_remctld-server-v2.o util/.libs/libutil.a -lgssapi_krb5
sed 's%\(\\f(CI\)*\@sysconfdir\(\\fI\)*\@%/etc/remctl%' \
< ./server/remctld.8.in > server/remctld.8
make[2]: Leaving directory `/build/buildd2/remctl-2.2'
make[1]: Leaving directory `/build/buildd2/remctl-2.2'
/usr/bin/make check
make[1]: Entering directory `/build/buildd2/remctl-2.2'
/usr/bin/make tests/libtest.a tests/runtests tests/client/api-t tests/client/open-t tests/data/cmd-streaming tests/server/accept-t tests/server/continue-t tests/server/env-t tests/server/streaming-t tests/server/version-t tests/util/asprintf-t tests/util/concat-t tests/util/gss-tokens-t tests/util/inet_ntop-t tests/util/messages-t tests/util/setenv-t tests/util/snprintf-t tests/util/strlcat-t tests/util/strlcpy-t tests/util/tokens-t tests/util/vector-t tests/util/xmalloc tests/util/xwrite-t
make[2]: Entering directory `/build/buildd2/remctl-2.2'
depbase=`echo tests/libtest.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/libtest.o -MD -MP -MF "$depbase.Tpo" -c -o tests/libtest.o tests/libtest.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
rm -f tests/libtest.a
ar cru tests/libtest.a tests/libtest.o
ranlib tests/libtest.a
depbase=`echo tests/runtests.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/runtests.o -MD -MP -MF "$depbase.Tpo" -c -o tests/runtests.o tests/runtests.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/runtests tests/runtests.o -lgssapi_krb5
mkdir tests/.libs
gcc -Wall -g -O2 -o tests/runtests tests/runtests.o -lgssapi_krb5
depbase=`echo tests/client/api-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/client/api-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/client/api-t.o tests/client/api-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/client/api-t tests/client/api-t.o client/libremctl.la tests/libtest.a util/libutil.la -lgssapi_krb5
mkdir tests/client/.libs
gcc -Wall -g -O2 -o tests/client/.libs/api-t tests/client/api-t.o client/.libs/libremctl.so tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
creating tests/client/api-t
depbase=`echo tests/client/open-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/client/open-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/client/open-t.o tests/client/open-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/client/open-t tests/client/open-t.o client/libremctl.la tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/client/.libs/open-t tests/client/open-t.o client/.libs/libremctl.so tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
creating tests/client/open-t
depbase=`echo tests/data/cmd-streaming.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/data/cmd-streaming.o -MD -MP -MF "$depbase.Tpo" -c -o tests/data/cmd-streaming.o tests/data/cmd-streaming.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/data/cmd-streaming tests/data/cmd-streaming.o -lgssapi_krb5
mkdir tests/data/.libs
gcc -Wall -g -O2 -o tests/data/cmd-streaming tests/data/cmd-streaming.o -lgssapi_krb5
depbase=`echo tests/server/accept-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/server/accept-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/server/accept-t.o tests/server/accept-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo server/commands.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT server/commands.o -MD -MP -MF "$depbase.Tpo" -c -o server/commands.o server/commands.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo server/config.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT server/config.o -MD -MP -MF "$depbase.Tpo" -c -o server/config.o server/config.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo server/generic.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT server/generic.o -MD -MP -MF "$depbase.Tpo" -c -o server/generic.o server/generic.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo server/logging.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT server/logging.o -MD -MP -MF "$depbase.Tpo" -c -o server/logging.o server/logging.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo server/server-v1.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT server/server-v1.o -MD -MP -MF "$depbase.Tpo" -c -o server/server-v1.o server/server-v1.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo server/server-v2.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT server/server-v2.o -MD -MP -MF "$depbase.Tpo" -c -o server/server-v2.o server/server-v2.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/server/accept-t tests/server/accept-t.o server/commands.o server/config.o server/generic.o server/logging.o server/server-v1.o server/server-v2.o tests/libtest.a util/libutil.la -lgssapi_krb5
mkdir tests/server/.libs
gcc -Wall -g -O2 -o tests/server/accept-t tests/server/accept-t.o server/commands.o server/config.o server/generic.o server/logging.o server/server-v1.o server/server-v2.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/server/continue-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/server/continue-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/server/continue-t.o tests/server/continue-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/server/continue-t tests/server/continue-t.o client/libremctl.la tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/server/.libs/continue-t tests/server/continue-t.o client/.libs/libremctl.so tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
creating tests/server/continue-t
depbase=`echo tests/server/env-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/server/env-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/server/env-t.o tests/server/env-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/server/env-t tests/server/env-t.o client/libremctl.la tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/server/.libs/env-t tests/server/env-t.o client/.libs/libremctl.so tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
creating tests/server/env-t
depbase=`echo tests/server/streaming-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/server/streaming-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/server/streaming-t.o tests/server/streaming-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/server/streaming-t tests/server/streaming-t.o client/libremctl.la tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/server/.libs/streaming-t tests/server/streaming-t.o client/.libs/libremctl.so tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
creating tests/server/streaming-t
depbase=`echo tests/server/version-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/server/version-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/server/version-t.o tests/server/version-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/server/version-t tests/server/version-t.o client/libremctl.la tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/server/.libs/version-t tests/server/version-t.o client/.libs/libremctl.so tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
creating tests/server/version-t
depbase=`echo tests/util/asprintf-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/asprintf-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/asprintf-t.o tests/util/asprintf-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo tests/util/asprintf.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/asprintf.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/asprintf.o tests/util/asprintf.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/asprintf-t tests/util/asprintf-t.o tests/util/asprintf.o tests/libtest.a util/libutil.la -lgssapi_krb5
mkdir tests/util/.libs
gcc -Wall -g -O2 -o tests/util/asprintf-t tests/util/asprintf-t.o tests/util/asprintf.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/util/concat-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/concat-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/concat-t.o tests/util/concat-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/concat-t tests/util/concat-t.o tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/util/concat-t tests/util/concat-t.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/util/faketoken.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/faketoken.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/faketoken.o tests/util/faketoken.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo tests/util/gss-tokens.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/gss-tokens.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/gss-tokens.o tests/util/gss-tokens.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo tests/util/gss-tokens-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/gss-tokens-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/gss-tokens-t.o tests/util/gss-tokens-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/gss-tokens-t tests/util/faketoken.o tests/util/gss-tokens.o tests/util/gss-tokens-t.o tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/util/gss-tokens-t tests/util/faketoken.o tests/util/gss-tokens.o tests/util/gss-tokens-t.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/util/inet_ntop-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/inet_ntop-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/inet_ntop-t.o tests/util/inet_ntop-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo tests/util/inet_ntop.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/inet_ntop.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/inet_ntop.o tests/util/inet_ntop.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/inet_ntop-t tests/util/inet_ntop-t.o tests/util/inet_ntop.o tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/util/inet_ntop-t tests/util/inet_ntop-t.o tests/util/inet_ntop.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/util/messages-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/messages-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/messages-t.o tests/util/messages-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/messages-t tests/util/messages-t.o tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/util/messages-t tests/util/messages-t.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/util/setenv-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/setenv-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/setenv-t.o tests/util/setenv-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo tests/util/setenv.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/setenv.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/setenv.o tests/util/setenv.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/setenv-t tests/util/setenv-t.o tests/util/setenv.o tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/util/setenv-t tests/util/setenv-t.o tests/util/setenv.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/util/snprintf-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/snprintf-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/snprintf-t.o tests/util/snprintf-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo tests/util/snprintf.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/snprintf.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/snprintf.o tests/util/snprintf.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/snprintf-t tests/util/snprintf-t.o tests/util/snprintf.o tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/util/snprintf-t tests/util/snprintf-t.o tests/util/snprintf.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/util/strlcat-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/strlcat-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/strlcat-t.o tests/util/strlcat-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo tests/util/strlcat.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/strlcat.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/strlcat.o tests/util/strlcat.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/strlcat-t tests/util/strlcat-t.o tests/util/strlcat.o tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/util/strlcat-t tests/util/strlcat-t.o tests/util/strlcat.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/util/strlcpy-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/strlcpy-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/strlcpy-t.o tests/util/strlcpy-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo tests/util/strlcpy.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/strlcpy.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/strlcpy.o tests/util/strlcpy.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/strlcpy-t tests/util/strlcpy-t.o tests/util/strlcpy.o tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/util/strlcpy-t tests/util/strlcpy-t.o tests/util/strlcpy.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/util/tokens-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/tokens-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/tokens-t.o tests/util/tokens-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/tokens-t tests/util/tokens-t.o tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/util/tokens-t tests/util/tokens-t.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/util/vector-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/vector-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/vector-t.o tests/util/vector-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/vector-t tests/util/vector-t.o tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/util/vector-t tests/util/vector-t.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/util/xmalloc.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/xmalloc.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/xmalloc.o tests/util/xmalloc.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/xmalloc tests/util/xmalloc.o util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/util/xmalloc tests/util/xmalloc.o util/.libs/libutil.a -lgssapi_krb5
depbase=`echo tests/util/fakewrite.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/fakewrite.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/fakewrite.o tests/util/fakewrite.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo tests/util/xwrite.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/xwrite.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/xwrite.o tests/util/xwrite.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
depbase=`echo tests/util/xwrite-t.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`; \
if gcc -DHAVE_CONFIG_H -I. -I. -I. -Wall -g -O2 -MT tests/util/xwrite-t.o -MD -MP -MF "$depbase.Tpo" -c -o tests/util/xwrite-t.o tests/util/xwrite-t.c; \
then mv -f "$depbase.Tpo" "$depbase.Po"; else rm -f "$depbase.Tpo"; exit 1; fi
/bin/sh ./libtool --tag=CC --mode=link gcc -Wall -g -O2 -o tests/util/xwrite-t tests/util/fakewrite.o tests/util/xwrite.o tests/util/xwrite-t.o tests/libtest.a util/libutil.la -lgssapi_krb5
gcc -Wall -g -O2 -o tests/util/xwrite-t tests/util/fakewrite.o tests/util/xwrite.o tests/util/xwrite-t.o tests/libtest.a util/.libs/libutil.a -lgssapi_krb5
make[2]: Leaving directory `/build/buildd2/remctl-2.2'
/usr/bin/make check-local
make[2]: Entering directory `/build/buildd2/remctl-2.2'
cd tests && ./runtests TESTS
Running all tests listed in TESTS. If any tests fail, run the failing
test program by hand to see more details. The test program will have the
same name as the test set but with "-t" appended.
client/api..............ok (skipped 55 tests)
client/open.............ok (skipped 15 tests)
client/remctl...........ok (skipped 8 tests)
server/accept...........ok (skipped 6 tests)
server/env..............ok (skipped 4 tests)
server/streaming........ok (skipped 32 tests)
server/version..........ok (skipped 8 tests)
util/asprintf...........ok
util/concat.............ok
util/gss-tokens.........ok (skipped 26 tests)
util/inet_ntop..........ok
util/messages...........ok
util/setenv.............ok
util/snprintf...........ok
util/strlcat............ok
util/strlcpy............ok
util/tokens.............ok
util/vector.............ok
util/xmalloc............ok (skipped 14 tests)
util/xwrite.............ok
All tests successful, 168 tests skipped.
Files=20, Tests=775, 89.13 seconds (11.94 usr + 19.03 sys = 30.97 CPU)
make[2]: Leaving directory `/build/buildd2/remctl-2.2'
make[1]: Leaving directory `/build/buildd2/remctl-2.2'
touch build-stamp
/usr/bin/fakeroot debian/rules binary-arch
dh_testdir
/usr/bin/make
make[1]: Entering directory `/build/buildd2/remctl-2.2'
/usr/bin/make all-am
make[2]: Entering directory `/build/buildd2/remctl-2.2'
make[2]: Leaving directory `/build/buildd2/remctl-2.2'
make[1]: Leaving directory `/build/buildd2/remctl-2.2'
/usr/bin/make check
make[1]: Entering directory `/build/buildd2/remctl-2.2'
/usr/bin/make tests/libtest.a tests/runtests tests/client/api-t tests/client/open-t tests/data/cmd-streaming tests/server/accept-t tests/server/continue-t tests/server/env-t tests/server/streaming-t tests/server/version-t tests/util/asprintf-t tests/util/concat-t tests/util/gss-tokens-t tests/util/inet_ntop-t tests/util/messages-t tests/util/setenv-t tests/util/snprintf-t tests/util/strlcat-t tests/util/strlcpy-t tests/util/tokens-t tests/util/vector-t tests/util/xmalloc tests/util/xwrite-t
make[2]: Entering directory `/build/buildd2/remctl-2.2'
make[2]: `tests/runtests' is up to date.
make[2]: `tests/client/api-t' is up to date.
make[2]: `tests/client/open-t' is up to date.
make[2]: `tests/data/cmd-streaming' is up to date.
make[2]: `tests/server/accept-t' is up to date.
make[2]: `tests/server/continue-t' is up to date.
make[2]: `tests/server/env-t' is up to date.
make[2]: `tests/server/streaming-t' is up to date.
make[2]: `tests/server/version-t' is up to date.
make[2]: `tests/util/asprintf-t' is up to date.
make[2]: `tests/util/concat-t' is up to date.
make[2]: `tests/util/gss-tokens-t' is up to date.
make[2]: `tests/util/inet_ntop-t' is up to date.
make[2]: `tests/util/messages-t' is up to date.
make[2]: `tests/util/setenv-t' is up to date.
make[2]: `tests/util/snprintf-t' is up to date.
make[2]: `tests/util/strlcat-t' is up to date.
make[2]: `tests/util/strlcpy-t' is up to date.
make[2]: `tests/util/tokens-t' is up to date.
make[2]: `tests/util/vector-t' is up to date.
make[2]: `tests/util/xmalloc' is up to date.
make[2]: `tests/util/xwrite-t' is up to date.
make[2]: Leaving directory `/build/buildd2/remctl-2.2'
/usr/bin/make check-local
make[2]: Entering directory `/build/buildd2/remctl-2.2'
cd tests && ./runtests TESTS
Running all tests listed in TESTS. If any tests fail, run the failing
test program by hand to see more details. The test program will have the
same name as the test set but with "-t" appended.
client/api..............ok (skipped 55 tests)
client/open.............ok (skipped 15 tests)
client/remctl...........ok (skipped 8 tests)
server/accept...........ok (skipped 6 tests)
server/env..............ok (skipped 4 tests)
server/streaming........ok (skipped 32 tests)
server/version..........ok (skipped 8 tests)
util/asprintf...........ok
util/concat.............ok
util/gss-tokens.........ok (skipped 26 tests)
util/inet_ntop..........ok
util/messages...........ok
util/setenv.............ok
util/snprintf...........ok
util/strlcat............ok
util/strlcpy............ok
util/tokens.............ok
util/vector.............ok
util/xmalloc............ok (skipped 14 tests)
util/xwrite.............ok
All tests successful, 168 tests skipped.
Files=20, Tests=775, 109.85 seconds (4.91 usr + 16.58 sys = 21.49 CPU)
make[2]: Leaving directory `/build/buildd2/remctl-2.2'
make[1]: Leaving directory `/build/buildd2/remctl-2.2'
touch build-stamp
dh_testdir
dh_testroot
dh_clean -k
dh_installdirs
/usr/bin/make install prefix=/build/buildd2/remctl-2.2/debian/tmp/usr
make[1]: Entering directory `/build/buildd2/remctl-2.2'
make[2]: Entering directory `/build/buildd2/remctl-2.2'
test -z "/build/buildd2/remctl-2.2/debian/tmp/usr/lib" || mkdir -p -- "/build/buildd2/remctl-2.2/debian/tmp/usr/lib"
/bin/sh ./libtool --mode=install /usr/bin/ginstall -c 'client/libremctl.la' '/build/buildd2/remctl-2.2/debian/tmp/usr/lib/libremctl.la'
/usr/bin/ginstall -c client/.libs/libremctl.so.1.0.0 /build/buildd2/remctl-2.2/debian/tmp/usr/lib/libremctl.so.1.0.0
(cd /build/buildd2/remctl-2.2/debian/tmp/usr/lib && { ln -s -f libremctl.so.1.0.0 libremctl.so.1 || { rm -f libremctl.so.1 && ln -s libremctl.so.1.0.0 libremctl.so.1; }; })
(cd /build/buildd2/remctl-2.2/debian/tmp/usr/lib && { ln -s -f libremctl.so.1.0.0 libremctl.so || { rm -f libremctl.so && ln -s libremctl.so.1.0.0 libremctl.so; }; })
/usr/bin/ginstall -c client/.libs/libremctl.lai /build/buildd2/remctl-2.2/debian/tmp/usr/lib/libremctl.la
/usr/bin/ginstall -c client/.libs/libremctl.a /build/buildd2/remctl-2.2/debian/tmp/usr/lib/libremctl.a
chmod 644 /build/buildd2/remctl-2.2/debian/tmp/usr/lib/libremctl.a
ranlib /build/buildd2/remctl-2.2/debian/tmp/usr/lib/libremctl.a
libtool: install: warning: remember to run `libtool --finish /usr/lib'
test -z "/build/buildd2/remctl-2.2/debian/tmp/usr/bin" || mkdir -p -- "/build/buildd2/remctl-2.2/debian/tmp/usr/bin"
/bin/sh ./libtool --mode=install /usr/bin/ginstall -c 'client/remctl' '/build/buildd2/remctl-2.2/debian/tmp/usr/bin/remctl'
libtool: install: warning: `client/libremctl.la' has not been installed in `/usr/lib'
/usr/bin/ginstall -c client/.libs/remctl /build/buildd2/remctl-2.2/debian/tmp/usr/bin/remctl
test -z "/build/buildd2/remctl-2.2/debian/tmp/usr/sbin" || mkdir -p -- "/build/buildd2/remctl-2.2/debian/tmp/usr/sbin"
/bin/sh ./libtool --mode=install /usr/bin/ginstall -c 'server/remctld' '/build/buildd2/remctl-2.2/debian/tmp/usr/sbin/remctld'
/usr/bin/ginstall -c server/remctld /build/buildd2/remctl-2.2/debian/tmp/usr/sbin/remctld
test -z "/build/buildd2/remctl-2.2/debian/tmp/usr/include" || mkdir -p -- "/build/buildd2/remctl-2.2/debian/tmp/usr/include"
/usr/bin/ginstall -c -m 644 'client/remctl.h' '/build/buildd2/remctl-2.2/debian/tmp/usr/include/remctl.h'
test -z "/build/buildd2/remctl-2.2/debian/tmp/usr/share/man/man1" || mkdir -p -- "/build/buildd2/remctl-2.2/debian/tmp/usr/share/man/man1"
/usr/bin/ginstall -c -m 644 './client/remctl.1' '/build/buildd2/remctl-2.2/debian/tmp/usr/share/man/man1/remctl.1'
test -z "/build/buildd2/remctl-2.2/debian/tmp/usr/share/man/man8" || mkdir -p -- "/build/buildd2/remctl-2.2/debian/tmp/usr/share/man/man8"
/usr/bin/ginstall -c -m 644 './server/remctld.8' '/build/buildd2/remctl-2.2/debian/tmp/usr/share/man/man8/remctld.8'
make[2]: Leaving directory `/build/buildd2/remctl-2.2'
make[1]: Leaving directory `/build/buildd2/remctl-2.2'
dh_install --fail-missing
install -m 644 /build/buildd2/remctl-2.2/examples/remctl.conf \
/build/buildd2/remctl-2.2/debian/remctl-server/etc/remctl/remctl.conf
dh_testdir
dh_testroot
dh_installchangelogs NEWS
dh_installdocs
dh_installexamples
dh_link
dh_strip
dh_compress
dh_fixperms
dh_makeshlibs
dh_installdeb
dh_shlibdeps -l /build/buildd2/remctl-2.2/debian/libremctl1/usr/lib -L libremctl1
dh_gencontrol
dpkg-gencontrol: warning: unknown substitution variable ${shlibs:Depends}
dh_md5sums
dh_builddeb
dpkg-deb: building package `libremctl1' in `../libremctl1_2.2-3_m32r.deb'.
dpkg-deb: building package `libremctl-dev' in `../libremctl-dev_2.2-3_m32r.deb'.
dpkg-deb: building package `remctl-client' in `../remctl-client_2.2-3_m32r.deb'.
dpkg-deb: building package `remctl-server' in `../remctl-server_2.2-3_m32r.deb'.
dpkg-genchanges -B
dpkg-genchanges: arch-specific upload - not including arch-independent packages
dpkg-genchanges: binary-only upload - not including any source code
dpkg-buildpackage: binary only upload (no source included)
******************************************************************************
Build finished at 20070207-1735
chroot-unstable/build/buildd2/libremctl1_2.2-3_m32r.deb:
new debian package, version 2.0.
size 20342 bytes: control archive= 978 bytes.
797 bytes, 20 lines control
281 bytes, 4 lines md5sums
135 bytes, 7 lines * postinst #!/bin/sh
132 bytes, 7 lines * postrm #!/bin/sh
23 bytes, 1 lines shlibs
Package: libremctl1
Version: 2.2-3
Section: libs
Priority: optional
Architecture: m32r
Depends: libc6 (>= 2.3.5-1), libkrb53 (>= 1.4.2)
Installed-Size: 80
Maintainer: Russ Allbery <rra at debian.org>
Source: remctl
Description: Library for Kerberos-authenticated command execution
remctl is a client/server protocol for executing specific commands on a
remote system with Kerberos authentication. The allowable commands must
be listed in a server configuration file, and the executable run on the
server may be mapped to any command name. Each command is also
associated with an ACL containing a list of Kerberos principals
authorized to run that command.
.
This package contains the client libraries linked against MIT Kerberos.
.
Homepage: http://www.eyrie.org/~eagle/software/remctl/
chroot-unstable/build/buildd2/libremctl-dev_2.2-3_m32r.deb:
new debian package, version 2.0.
size 23660 bytes: control archive= 848 bytes.
807 bytes, 21 lines control
393 bytes, 6 lines md5sums
Package: libremctl-dev
Version: 2.2-3
Section: libdevel
Priority: extra
Architecture: m32r
Depends: libkrb5-dev
Installed-Size: 100
Maintainer: Russ Allbery <rra at debian.org>
Source: remctl
Description: Development files for Kerberos-authenticated command execution
remctl is a client/server protocol for executing specific commands on a
remote system with Kerberos authentication. The allowable commands must
be listed in a server configuration file, and the executable run on the
server may be mapped to any command name. Each command is also
associated with an ACL containing a list of Kerberos principals
authorized to run that command.
.
This package contains the development files for client libraries linked
against MIT Kerberos.
.
Homepage: http://www.eyrie.org/~eagle/software/remctl/
chroot-unstable/build/buildd2/remctl-client_2.2-3_m32r.deb:
new debian package, version 2.0.
size 48934 bytes: control archive= 1215 bytes.
849 bytes, 22 lines control
1315 bytes, 17 lines md5sums
Package: remctl-client
Version: 2.2-3
Section: net
Priority: optional
Architecture: m32r
Depends: libc6 (>= 2.3.5-1), libkrb53 (>= 1.4.2), libremctl1
Conflicts: remctl (<< 1.10-1)
Replaces: remctl (<< 1.10-1)
Installed-Size: 156
Maintainer: Russ Allbery <rra at debian.org>
Source: remctl
Description: Client for Kerberos-authenticated command execution
remctl is a client/server protocol for executing specific commands on a
remote system with Kerberos authentication. The allowable commands must
be listed in a server configuration file, and the executable run on the
server may be mapped to any command name. Each command is also
associated with an ACL containing a list of Kerberos principals
authorized to run that command.
.
This package contains the client program (remctl).
.
Homepage: http://www.eyrie.org/~eagle/software/remctl/
chroot-unstable/build/buildd2/remctl-server_2.2-3_m32r.deb:
new debian package, version 2.0.
size 55612 bytes: control archive= 1459 bytes.
24 bytes, 1 lines conffiles
845 bytes, 22 lines control
945 bytes, 13 lines md5sums
463 bytes, 26 lines * postinst #!/bin/sh
263 bytes, 22 lines * prerm #!/bin/sh
Package: remctl-server
Version: 2.2-3
Section: net
Priority: optional
Architecture: m32r
Depends: libc6 (>= 2.3.5-1), libkrb53 (>= 1.4.2), netbase, tcpd
Conflicts: remctl (<< 1.10-1)
Replaces: remctl (<< 1.10-1)
Installed-Size: 192
Maintainer: Russ Allbery <rra at debian.org>
Source: remctl
Description: Server for Kerberos-authenticated command execution
remctl is a client/server protocol for executing specific commands on a
remote system with Kerberos authentication. The allowable commands must
be listed in a server configuration file, and the executable run on the
server may be mapped to any command name. Each command is also
associated with an ACL containing a list of Kerberos principals
authorized to run that command.
.
This package contains the server (remctld).
.
Homepage: http://www.eyrie.org/~eagle/software/remctl/
chroot-unstable/build/buildd2/libremctl1_2.2-3_m32r.deb:
drwxr-xr-x root/root 0 2007-02-07 17:27 ./
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/share/
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/share/doc/
drwxr-xr-x root/root 0 2007-02-07 17:26 ./usr/share/doc/libremctl1/
-rw-r--r-- root/root 1538 2007-02-07 16:25 ./usr/share/doc/libremctl1/copyright
-rw-r--r-- root/root 3294 2006-09-09 06:15 ./usr/share/doc/libremctl1/changelog.gz
-rw-r--r-- root/root 2214 2007-02-07 16:25 ./usr/share/doc/libremctl1/changelog.Debian.gz
drwxr-xr-x root/root 0 2007-02-07 17:25 ./usr/lib/
-rw-r--r-- root/root 25740 2007-02-07 17:25 ./usr/lib/libremctl.so.1.0.0
lrwxrwxrwx root/root 0 2007-02-07 17:25 ./usr/lib/libremctl.so.1 -> libremctl.so.1.0.0
chroot-unstable/build/buildd2/libremctl-dev_2.2-3_m32r.deb:
drwxr-xr-x root/root 0 2007-02-07 17:28 ./
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/
drwxr-xr-x root/root 0 2007-02-07 17:23 ./usr/include/
-rw-r--r-- root/root 4191 2007-02-07 17:23 ./usr/include/remctl.h
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/share/
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/share/doc/
drwxr-xr-x root/root 0 2007-02-07 17:26 ./usr/share/doc/libremctl-dev/
-rw-r--r-- root/root 1538 2007-02-07 16:25 ./usr/share/doc/libremctl-dev/copyright
-rw-r--r-- root/root 3294 2006-09-09 06:15 ./usr/share/doc/libremctl-dev/changelog.gz
-rw-r--r-- root/root 2214 2007-02-07 16:25 ./usr/share/doc/libremctl-dev/changelog.Debian.gz
drwxr-xr-x root/root 0 2007-02-07 17:25 ./usr/lib/
-rw-r--r-- root/root 43408 2007-02-07 17:25 ./usr/lib/libremctl.a
-rw-r--r-- root/root 830 2007-02-07 17:23 ./usr/lib/libremctl.la
lrwxrwxrwx root/root 0 2007-02-07 17:25 ./usr/lib/libremctl.so -> libremctl.so.1.0.0
chroot-unstable/build/buildd2/remctl-client_2.2-3_m32r.deb:
drwxr-xr-x root/root 0 2007-02-07 17:28 ./
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/
drwxr-xr-x root/root 0 2007-02-07 17:25 ./usr/bin/
-rwxr-xr-x root/root 6104 2007-02-07 17:25 ./usr/bin/remctl
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/share/
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/share/doc/
drwxr-xr-x root/root 0 2007-02-07 17:26 ./usr/share/doc/remctl-client/
-rw-r--r-- root/root 2010 2006-08-23 08:26 ./usr/share/doc/remctl-client/TODO
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/share/doc/remctl-client/examples/
-rwxr-xr-x root/root 1614 2006-03-30 06:58 ./usr/share/doc/remctl-client/examples/rsh-wrapper
drwxr-xr-x root/root 0 2007-02-07 17:26 ./usr/share/doc/remctl-client/examples/java/
-rw-r--r-- root/root 113 2002-12-19 09:11 ./usr/share/doc/remctl-client/examples/java/gss_jaas.conf
-rw-r--r-- root/root 4427 2006-07-29 09:32 ./usr/share/doc/remctl-client/examples/java/RemctlClient.java.gz
-rw-r--r-- root/root 182 2003-08-14 07:27 ./usr/share/doc/remctl-client/examples/java/gss_jaas2.conf
-rw-r--r-- root/root 2815 2002-11-20 02:40 ./usr/share/doc/remctl-client/examples/java/Login.java.gz
-rw-r--r-- root/root 4763 2006-09-09 08:13 ./usr/share/doc/remctl-client/protocol.txt.gz
-rw-r--r-- root/root 7573 2006-07-29 09:09 ./usr/share/doc/remctl-client/design.html
-rw-r--r-- root/root 1538 2007-02-07 16:25 ./usr/share/doc/remctl-client/copyright
-rw-r--r-- root/root 3294 2006-09-09 06:15 ./usr/share/doc/remctl-client/changelog.gz
-rw-r--r-- root/root 4989 2006-07-29 08:45 ./usr/share/doc/remctl-client/protocol.xml.gz
-rw-r--r-- root/root 389 2007-02-07 16:25 ./usr/share/doc/remctl-client/README.Debian
-rw-r--r-- root/root 25951 2006-09-09 08:13 ./usr/share/doc/remctl-client/protocol.html
-rw-r--r-- root/root 3562 2006-09-09 06:15 ./usr/share/doc/remctl-client/README.gz
-rw-r--r-- root/root 2214 2007-02-07 16:25 ./usr/share/doc/remctl-client/changelog.Debian.gz
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/share/man/
drwxr-xr-x root/root 0 2007-02-07 17:26 ./usr/share/man/man1/
-rw-r--r-- root/root 3432 2007-02-07 17:23 ./usr/share/man/man1/remctl.1.gz
chroot-unstable/build/buildd2/remctl-server_2.2-3_m32r.deb:
drwxr-xr-x root/root 0 2007-02-07 17:29 ./
drwxr-xr-x root/root 0 2007-02-07 17:20 ./etc/
drwxr-xr-x root/root 0 2007-02-07 17:24 ./etc/remctl/
-rw-r--r-- root/root 1228 2007-02-07 17:24 ./etc/remctl/remctl.conf
drwxr-xr-x root/root 0 2007-02-07 17:20 ./etc/remctl/acl/
drwxr-xr-x root/root 0 2007-02-07 17:20 ./etc/remctl/conf.d/
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/
drwxr-xr-x root/root 0 2007-02-07 17:25 ./usr/sbin/
-rwxr-xr-x root/root 28712 2007-02-07 17:25 ./usr/sbin/remctld
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/share/
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/share/doc/
drwxr-xr-x root/root 0 2007-02-07 17:26 ./usr/share/doc/remctl-server/
-rw-r--r-- root/root 2010 2006-08-23 08:26 ./usr/share/doc/remctl-server/TODO
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/share/doc/remctl-server/examples/
-rw-r--r-- root/root 616 2006-03-30 06:58 ./usr/share/doc/remctl-server/examples/xinetd
-rw-r--r-- root/root 4763 2006-09-09 08:13 ./usr/share/doc/remctl-server/protocol.txt.gz
-rw-r--r-- root/root 7573 2006-07-29 09:09 ./usr/share/doc/remctl-server/design.html
-rw-r--r-- root/root 1538 2007-02-07 16:25 ./usr/share/doc/remctl-server/copyright
-rw-r--r-- root/root 3294 2006-09-09 06:15 ./usr/share/doc/remctl-server/changelog.gz
-rw-r--r-- root/root 4989 2006-07-29 08:45 ./usr/share/doc/remctl-server/protocol.xml.gz
-rw-r--r-- root/root 1438 2007-02-07 16:25 ./usr/share/doc/remctl-server/README.Debian
-rw-r--r-- root/root 25951 2006-09-09 08:13 ./usr/share/doc/remctl-server/protocol.html
-rw-r--r-- root/root 3562 2006-09-09 06:15 ./usr/share/doc/remctl-server/README.gz
-rw-r--r-- root/root 2214 2007-02-07 16:25 ./usr/share/doc/remctl-server/changelog.Debian.gz
drwxr-xr-x root/root 0 2007-02-07 17:24 ./usr/share/man/
drwxr-xr-x root/root 0 2007-02-07 17:26 ./usr/share/man/man8/
-rw-r--r-- root/root 5558 2007-02-07 17:23 ./usr/share/man/man8/remctld.8.gz
remctl_2.2-3_m32r.changes:
Format: 1.7
Date: Sat, 3 Feb 2007 23:42:05 -0800
Source: remctl
Binary: remctl-server libremctl1 remctl-client libremctl-dev remctl
Architecture: m32r
Version: 2.2-3
Distribution: unstable
Urgency: high
Maintainer: Russ Allbery <rra at debian.org>
Changed-By: Russ Allbery <rra at debian.org>
Description:
libremctl-dev - Development files for Kerberos-authenticated command execution
libremctl1 - Library for Kerberos-authenticated command execution
remctl-client - Client for Kerberos-authenticated command execution
remctl-server - Server for Kerberos-authenticated command execution
Changes:
remctl (2.2-3) unstable; urgency=high
.
* Remove extraneous changes to Automake files.
Files:
9ebb93ace0902a798746b7c0384e129c 20342 libs optional libremctl1_2.2-3_m32r.deb
b83f6fb49751394ed62533f5f0019175 23660 libdevel extra libremctl-dev_2.2-3_m32r.deb
548f6fa3db908fbef07dd6bbc8b17e5a 48934 net optional remctl-client_2.2-3_m32r.deb
5f55472f3d1028dffc9b7b3b6fd8eba9 55612 net optional remctl-server_2.2-3_m32r.deb
******************************************************************************
Built successfully
Purging chroot-unstable/build/buildd2/remctl-2.2
------------------------------------------------------------------------------
/usr/bin/sudo dpkg --root=/debian/buildd2/build/chroot-unstable --purge libkrb5-dev
(Reading database ... 59922 files and directories currently installed.)
Removing libkrb5-dev ...
******************************************************************************
Finished at 20070207-1735
Build needed 01:10:04, 8100k disk space
More information about the build-status
mailing list